Skip to main content
GET
/
features
cURL
curl https://api.growthbook.io/api/v1/features \
  -u secret_abc123DEF456:
{
  "features": [
    {
      "id": "<string>",
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateUpdated": "2023-11-07T05:31:56Z",
      "archived": true,
      "description": "<string>",
      "owner": "<unknown>",
      "project": "<string>",
      "valueType": "boolean",
      "defaultValue": "<string>",
      "tags": [
        "<string>"
      ],
      "environments": {},
      "revision": {
        "version": 123,
        "comment": "<string>",
        "date": "2023-11-07T05:31:56Z",
        "createdBy": "<string>",
        "publishedBy": "<string>"
      },
      "prerequisites": [
        "<string>"
      ],
      "customFields": {},
      "holdout": {
        "id": "<string>",
        "value": "<string>"
      }
    }
  ],
  "limit": 123,
  "offset": 123,
  "count": 123,
  "total": 123,
  "hasMore": true,
  "nextOffset": 123
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Query Parameters

limit
integer
default:10

The number of items to return

offset
integer
default:0

How many items to skip (use in conjunction with limit for pagination)

projectId
string

Filter by project id

clientKey
string

Filter by a SDK connection's client key

skipPagination
boolean
default:false

If true, return all matching features and ignore limit/offset. Self-hosted only. Has no effect unless API_ALLOW_SKIP_PAGINATION is set to true or 1.

Response

200 - application/json

Success

features
object[]
required
limit
integer
required
offset
integer
required
count
integer
required
total
integer
required
hasMore
boolean
required
nextOffset
integer | null
required